Skip to main content
POST
/
ai
/
prediction
/
standalone-query-rewriter
/
{MODEL_ID}
Standalone query rewriter
import requests

url = "https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}"

payload = {
    "batch": [{ "text": "Is it a framework?" }],
    "useCaseConfig": { "memoryUuid": "27a887fe-3d7c-4ef0-9597-e2dfc054c20e" }
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"text\": \"Is it a framework?\"\n }\n ],\n \"useCaseConfig\": {\n \"memoryUuid\": \"27a887fe-3d7c-4ef0-9597-e2dfc054c20e\"\n }\n}")
.asString();
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [{text: 'Is it a framework?'}],
useCaseConfig: {memoryUuid: '27a887fe-3d7c-4ef0-9597-e2dfc054c20e'}
})
};

fetch('https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"text\": \"Is it a framework?\"\n }\n ],\n \"useCaseConfig\": {\n \"memoryUuid\": \"27a887fe-3d7c-4ef0-9597-e2dfc054c20e\"\n }\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}"

payload := strings.NewReader("{\n \"batch\": [\n {\n \"text\": \"Is it a framework?\"\n }\n ],\n \"useCaseConfig\": {\n \"memoryUuid\": \"27a887fe-3d7c-4ef0-9597-e2dfc054c20e\"\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'text' => 'Is it a framework?'
]
],
'useCaseConfig' => [
'memoryUuid' => '27a887fe-3d7c-4ef0-9597-e2dfc054c20e'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://application_id.applications.lucidworks.com/ai/prediction/standalone-query-rewriter/{MODEL_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"text": "Is it a framework?"
}
],
"useCaseConfig": {
"memoryUuid": "27a887fe-3d7c-4ef0-9597-e2dfc054c20e"
}
}
'
{
  "predictions": [
    {
      "response": "Is RAG a framework?",
      "tokensUsed": {
        "promptTokens": 245,
        "completionTokens": 6,
        "totalTokens": 251
      }
    }
  ]
}

Headers

Authorization
string
required

Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.

Content-Type
string

application/json

Example:

"application/json"

Path Parameters

MODEL_ID
string
required

Unique identifier for the model.

Body

application/json
batch
object[]

The batch of key:value pairs used as inputs in the prediction. Up to 32 inputs per request are allowed.

Maximum array length: 32
useCaseConfig
UseCaseConfigStandalone · object
modelConfig
ModelConfig · object

Provides fields and values that specify ranges for tokens. Fields used for specific use cases and models are specified. The default values are used if other values are not specified.

Response

200 - application/json

OK

predictions
object[]